| ibi Patterns .NET API

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NetricsServerInterface.NetricsIdxStats Class Reference

## Public Member Functions
override String | ToString ()
| Convert to string representation.
String | TableName ()
| Return the name of the table the index is associated with.
String | Field ()
| Return the field that is being indexed.
String | IdxType ()
| Return the index type as a string name.
bool | isPrimary ()
| Return true if this is a primary index.
bool | normalized ()
| Return true if this indexes normalized values.
int | NumberPartitions ()
| Return the number of partitions in this index.
int | IdxKBytes ()
| Return the index memory usage in Kilo-Bytes.
int | GipKBytes ()
| Return the amount of memory in Kilo-Bytes used by the associated GIP indexes.
int[] | getGpuDevices ()
bool | getIsGpuIndexed ()
int | GpuKBytes ()
Public Member Functions inherited from NetricsServerInterface.BaseObjectStats
int | getTranState ()
| Get the transaction state for this object.
bool | isDirty ()
| Check if this item has been modified under an open transaction.
bool | isUpdated ()
| Check if this item is updated under an open transaction.
bool | isHeld ()
| Check if this item is held by an open transaction.
int | getTranId ()
| Obsolete. Use getTransactionId to obtain the full 64-bit id.
long | getTransactionId ()
| Get the full ID of the transaction that owns or claims this item.
String | getLayout ()
| Obsolete. Always returns blank. Layouts are deprecated since version 5.6, and removed in 5.7.
String | getCheckpointStatus ()
| Get the checkpoint status of this item.

## Detailed Description

summary>This class contains statistics about a partitioned index in the ibi™ Patterns - Search server.

This class can be used to get information about the indexes for a table or set of tables. These objects are created and returned by the NetricsServerInterface idxlist method.

See also
  NetricsServerInterface.idxlist

## Member Function Documentation

## ◆ getGpuDevices()

int[] NetricsServerInterface.NetricsIdxStats.getGpuDevices | ( |  | ) |
| inline

Returns
  a list of gpu devices used by the index. returns null if the index is not gpu-harnessed for any reason.

## ◆ getIsGpuIndexed()

bool NetricsServerInterface.NetricsIdxStats.getIsGpuIndexed | ( |  | ) |
| inline

Returns
  true if the index is GPU-accelerated.

## ◆ GpuKBytes()

int NetricsServerInterface.NetricsIdxStats.GpuKBytes | ( |  | ) |
| inline

Returns
  the amount of GPU memory used by the associated GIP indexes (in kbytes).

## ◆ IdxType()

String NetricsServerInterface.NetricsIdxStats.IdxType | ( |  | ) |
| inline

Return the index type as a string name.

Returns
  "Primary" if a primary index, "Secondary" if a secondary index, "None" if there are no indexes on this table, "Unknown" otherwise.